Flow Controller:
  name: MiNiFi Flow

Processors:

  - name: get_images
    class: GetFile
    scheduling strategy: TIMER_DRIVEN
    scheduling period: 2 sec
    Properties:
      Batch Size: 1
      Input Directory: /home/minifi/test/images_in
      Keep Source File: false
      Maximum File Age: 0 sec
      Minimum File Age: 0 sec
      Minimum File Size: 0 B
      Polling Interval: 0 sec
      
  - name: add_attribute
    class: UpdateAttribute
    Properties:
        animal: cat
        
  - name: save_images
    class: PutFile
    Properties:
        Directory: /home/minifi/test/images_out/
        Conflict Resolution Strategy: fail
        Create Missing Directories: false
        Maximum File Count:
    auto-terminated relationships list:
        - success
        - failure

  #- name: GraphGet
    #class: GetFile
    #scheduling strategy: TIMER_DRIVEN
    #scheduling period: 120 sec
    #Properties:
      #Keep Source File: true
      #Input Directory: /home/minifi/test/graph/
      #File Filter: ".*pb$"

  #- name: LabelsGet
    #class: GetFile
    #scheduling strategy: TIMER_DRIVEN
    #scheduling period: 120 sec
    #Properties:
      #Keep Source File: true
      #Input Directory: /home/minifi/test
      #File Filter: "labels.txt"

  #- name: LabelsUpdate
    #class: UpdateAttribute
    #Properties:
      #tf.type: labels

  #- name: Convert
    #class: TFConvertImageToTensor
    #scheduling strategy: TIMER_DRIVEN
    #scheduling period: 0 sec
    #Properties:
      #Input Format: PNG
      #Input Width: 640
      #Input Height: 480
      #Crop Offset X: 80
      #Crop Offset Y: 0
      #Crop Size X: 480
      #Crop Size Y: 480
      #Output Width: 224
      #Output Height: 224
      #Channels: 3
    #auto-terminated relationships list:
        #- success
        #- failure

  #- name: Apply
    #class: TFApplyGraph
    #Properties:
      #Input Node: input:0
      #Output Node: final_layer/predictions:0

  #- name: Extract
    #class: TFExtractTopLabels

  #- name: Log
    #class: LogAttribute

  #- name: Notify
    #class: ExecuteProcess
    #Properties:
      #Command: echo ${"tf.top_label_0"} >> /home/minifi/test/labels_out/labels.txt
    #auto-terminated relationships list:
      #- success

Connections:

  - source name: get_images
    source relationship name: success
    destination name: add_attribute

  - source name: add_attribute
    source relationship name: success
    destination name: save_images

  #- source name: GraphUpdate
    #source relationship name: success
    #destination name: Apply

  #- source name: LabelsGet
    #source relationship name: success
    #destination name: LabelsUpdate

  #- source name: LabelsUpdate
    #source relationship name: success
    #destination name: Extract

  #- source name: Convert
    #source relationship name: success
    #destination name: Finish_success
    
  #- source name: Convert
    #source relationship name: failure
    #destination name: Finish_failure

  #- source name: Apply
    #source relationship name: success
    #destination name: Extract

  #- source name: Extract
    #source relationship name: success
    #destination name: Log

  #- source name: Log
    #source relationship name: success
    #destination name: Notify

Remote Processing Groups: []
Provenance Reporting:
